Jump to content

Incompatible Plugins - an incomplete list (updated for 4.0.5284)


Ego Eram Reputo
 Share

Recommended Posts

Thanks @WB for explaining that :| .

 

As reported by Kelly - TR's Displacement map is crashing v4.  I will try to attach the crash log.

[hide] File: C:\Program Files\Paint.NET\Effects\CurtisBlack.Effects.dll

Name: CurtisBlack.Effects.Displacement.Displacement

Version: 1.1

Author: Curtis Black

Copyright: Copyright © 2008 Curtis Black

Website: http://paintdotnet.forumer.com/viewtopic.php?f=16&t=22521

Full error message: System.TypeInitializationException: The type initializer for 'CurtisBlack.Common.PDNIO' threw an exception. ---> System.TypeLoadException: Could not load type 'PaintDotNet.PdnFileTypes' ...

 

This will not be fixed. The plugin is using internal Paint.NET code that it shouldn't have been using.

The Paint.NET Blog: https://blog.getpaint.net/

Donations are always appreciated! https://www.getpaint.net/donate.html

forumSig_bmwE60.jpg

Link to comment
Share on other sites

  • 2 weeks later...

I just tried without the Filetype plugin and it doesn't recognise any brushes; either .png or abr :( .

 

I guess you read this thread - it was problematic for some of us, but we got it sorted in the end :D .

30b8T8B.gif

How I made Jennifer & Halle in Paint.net

My Gallery | My Deviant Art

"Rescuing one animal may not change the world, but for that animal their world is changed forever!" anon.

 
Link to comment
Share on other sites

Thanks Welshy. I'll update the list later today.

Link to comment
Share on other sites

  • 4 weeks later...

I've updated to the 3rd beta build 5226 and found three incompatibles:

 

Hidden Content:
File: C:\Program Files\Paint.NET\Effects\EdHarvey.Effects.dll
Name: EdHarvey.Edfects.Effects.ColorFlipRotateEffect
Version: 3.5.3786.8637
Author: Ed Harvey
Copyright: Copyright © 2006-2010, Ed Harvey
Website: http://forums.getpaint.net/index.php?/topic/18811-ed-harvey-effects-v-35
Full error message: System.TypeLoadException: Could not load type 'PaintDotNet.SystemLayer.UI' from assembly 'PaintDotNet.SystemLayer, Version=4.0.5226.41987, Culture=neutral, PublicKeyToken=null'.
at EdHarvey.UI.EtchedLine.InitForCurrentVisualStyle()
at EdHarvey.UI.EtchedLine..ctor()
at EdHarvey.Edfects.EdEffectConfigDialog3.InitializeComponent()
at EdHarvey.Edfects.EdEffectConfigDialog3..ctor()
at EdHarvey.Edfects.Effects.ColorFlipRotateEffectConfigDialog..ctor()
at EdHarvey.Edfects.Effects.ColorFlipRotateEffect.CreateConfigDialog()
at PaintDotNet.Menus.EffectMenuBase.RunEffectImpl(Type effectType) in D:\src\pdn\paintdotnet\src\PaintDotNet\Menus\EffectMenuBase.cs:line 913

 

Hidden Content:

File: C:\Program Files\Paint.NET\Effects\EdHarvey.Effects.dll

      Name: EdHarvey.Edfects.Effects.TintEffect2

      Version: 3.5.3786.8637

      Author: Ed Harvey

      Copyright: Copyright ©  2006-2010, Ed Harvey

      Website: http://forums.getpaint.net/index.php?/topic/18811-ed-harvey-effects-v-35

      Full error message: System.TypeLoadException: Could not load type 'PaintDotNet.SystemLayer.UI' from assembly 'PaintDotNet.SystemLayer, Version=4.0.5226.41987, Culture=neutral, PublicKeyToken=null'.

   at EdHarvey.UI.EtchedLine.InitForCurrentVisualStyle()

   at EdHarvey.UI.EtchedLine..ctor()

   at EdHarvey.Edfects.EdEffectConfigDialog3.InitializeComponent()

   at EdHarvey.Edfects.EdEffectConfigDialog3..ctor()

   at EdHarvey.Edfects.HueSatConfigDialogBase2..ctor()

   at EdHarvey.Edfects.Effects.TintEffect2ConfigDialog..ctor()

   at EdHarvey.Edfects.Effects.TintEffect2.CreateConfigDialog()

   at PaintDotNet.Menus.EffectMenuBase.RunEffectImpl(Type effectType) in D:\src\pdn\paintdotnet\src\PaintDotNet\Menus\EffectMenuBase.cs:line 913

 

Hidden Content:

 File: C:\Program Files\Paint.NET\Effects\EdHarvey.Effects.dll

      Name: EdHarvey.Edfects.Effects.ColorFilter2Effect

      Version: 3.5.3786.8637

      Author: Ed Harvey

      Copyright: Copyright ©  2006-2010, Ed Harvey

      Website: http://forums.getpaint.net/index.php?/topic/18811-ed-harvey-effects-v-35

      Full error message: System.TypeLoadException: Could not load type 'PaintDotNet.SystemLayer.UI' from assembly 'PaintDotNet.SystemLayer, Version=4.0.5226.41987, Culture=neutral, PublicKeyToken=null'.

   at EdHarvey.UI.EtchedLine.InitForCurrentVisualStyle()

   at EdHarvey.UI.EtchedLine..ctor()

   at EdHarvey.Edfects.EdEffectConfigDialog3.InitializeComponent()

   at EdHarvey.Edfects.EdEffectConfigDialog3..ctor()

   at EdHarvey.Edfects.HueSatConfigDialogBase2..ctor()

   at EdHarvey.Edfects.Effects.ColorFilter2EffectConfigDialog..ctor()

   at EdHarvey.Edfects.Effects.ColorFilter2Effect.CreateConfigDialog()

   at PaintDotNet.Menus.EffectMenuBase.RunEffectImpl(Type effectType) in D:\src\pdn\paintdotnet\src\PaintDotNet\Menus\EffectMenuBase.cs:line 913

 

They are now all are working after updating the plugins.  I'd assumed the v4 update would have had the latest plugins ........ so confusing all this change pcwhack.gif   sorry!

Edited by Pixey
  • Upvote 1

30b8T8B.gif

How I made Jennifer & Halle in Paint.net

My Gallery | My Deviant Art

"Rescuing one animal may not change the world, but for that animal their world is changed forever!" anon.

 
Link to comment
Share on other sites

It's always a struggle to keep up to date isn't it?

I'll update this list against the 5226 build later this week.

Link to comment
Share on other sites

Thanks to you both for the updates.  

 

Rick: That will shorten the list considerably!

Link to comment
Share on other sites

List updated for 4.0.5226.

Many plugins are now working thanks to Rick's hard work.

Link to comment
Share on other sites

RotateZoom+ (Effects > Distort). Tested with 4.0.5226. Full error message: System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.ArgumentOutOfRangeException: Increment value 0.01 is invalid - it must be less than current Maximum (-0.5).

Surely, the error is displayed in the Rotate / Zoom + v1.0. 
(Configuration issues bicubic) 
I fix it, and rebuilt v1.1 under the following systems. 
win8.1 (64bit). NET Framework 4.5.1 Paint.net beta 4.0 .5226 codeLab1.8 
It works correctly in my PC. 
Hummmm ..... Strange. 
 
 
However,it is a different matter , in 3.5.11, I noticed that the plug-in does not appear.
There may be something to do with the error of v4 that EER is shown. 
 
I was rebuilt same Plugin under the following systems in another PC 
win7SP1 (32bit). NET Framework 3.5 SP1 Paint.net3.5.11 codeLab1.8 
 
This works on  all my PC
 
win8.1 (64bit). NET Framework 4.5.1 Paint.net beta 4.0 .5226 and 3.5.11  
win7SP1 (32bit). NET Framework 4.5.1 Paint.net beta 4.0 .5226 and 3.5.11 
win7SP1 (32bit). NET Framework  3.5.SP1 Paint.net 3.5.11 
winxpSP3 (32bit). NET Framework 3.5.SP1 Paint.net 3.5.11
 
Zip is dll and cs file.
Please test the v1.11 when you have time.
Link to comment
Share on other sites

The new build appears to be working fine in both 4.0.5226 and 3.5.11.

Link to comment
Share on other sites

  • 3 weeks later...

Thanks Rick.  And thanks also for attending to the backward compatibility issues of two & three config dialogs!  That shortened the list appreciably.

Link to comment
Share on other sites

Lomography

Oh but I love that plugin! I just wish the slider would go a bit further to the right. No idea how it works or what it is but I do love the outcome.

Just for barbieq25, a new version of this plugin has been published here:

http://forums.getpaint.net/index.php?/topic/11785-

Changes include:

-now works on pdn 4.0 beta

-exposure goes "a bit further to the right"

-name changed for less copyright issues

-barbieq25 now included in source code

-full sarcasm added

  • Upvote 1

Click to play:
j.pngs.pngd.pnga.pngp.png
Download: BoltBait's Plugin Pack | CodeLab | and how about a Computer Dominos Game

Link to comment
Share on other sites

Removed Lomography from the list due to BoltBait releasing a compatible 4.0 version.

  • Upvote 1
Link to comment
Share on other sites

  • 2 weeks later...

With Rick pinning this thread I felt obliged to keep it up-to-date :D

 

I've run through the list of incompatibles with the release of 4.0.5268.  One plugin - RotateZoom+ (Effects > Distort) - is now working and has been removed.

 

I've changed the layout of the list a little to make it a bit clearer.  Incompatibles at the top, former offenders at the bottom, hidden with the version that removed them from the list.

 

Clear as mud?

Link to comment
Share on other sites

Ok.  The list is short enough that I can review and retest at short notice. 

Link to comment
Share on other sites

Well spotted! List amended to remove Alpha Blur as my version was out-of-date.

Link to comment
Share on other sites

I'm sad to see that my beloved Engrave/Emboss still doesn't work, but I will keep my eyes on this list hoping for it to someday be compatible again.

 

Aside from the plugins I'm still waiting and hoping on, Nice job on keeping this list going and updated EER. :)

Edited by Cc4FuzzyHuggles
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...